ONVIF::Analytics::Types::Space2DDescription(3)

NAME
ONVIF::Analytics::Types::Space2DDescription

DESCRIPTION
Perl data type class for the XML Schema defined complexType Space2DDescription from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   URI

•   XRange

•   YRange

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::Space2DDescription
   URI =>  $some_value, # anyURI
   XRange =>  { # ONVIF::Analytics::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   YRange =>  { # ONVIF::Analytics::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
 },

AUTHOR
Generated by SOAP::WSDL